Subject: Re: bug#73470: Rmail is not working with maildirs

From: Marc Coquand <[email-masked]>
Date: Thu, 26 Sep 2024 17:17:05 +0300

I installed movemail via nix. Running the commands yielded:

~ $ which movemail
/home/me/.nix-profile/bin/movemail

~ $ movemail
movemail: wrong number of arguments

~ $ movemail --version
movemail (GNU Mailutils) 3.17

I also tried explicitly setting the variable rmail-movemail-program to
/home/me/.nix-profile/bin/movemail with no success. 

Eli Zaretskii <[email-masked]> writes:

>> From: Marc Coquand <[email-masked]>
>> Date: Thu, 26 Sep 2024 15:36:28 +0300
>> 
>> Hi Eli,
>> 
>> So I tried setting the following
>> 
>> (setq rmail-primary-inbox-list '("maildir:///home/me/mail/home"))
>> 
>> I can see that in ~/mail/home there exists a cur,new and tmp directory
>> as well as all other mail folders.
>> 
>> I also tried the following, since I have one mail directory for work and
>> one personal:
>> 
>> (setq rmail-primary-inbox-list '("maildir:///home/me/mail/"))
>> 
>> Neither worked.
>> 
>> M-x version returns GNU Emacs 29.4 (build 2, x86_64-unknown-linux-gnu, X
>> toolkit, cairo version 1.18.0) of 2024-06-25
>
> Are you sure you are using movemail from GNU Mailutils?  What do the
> following shell commands produce?
>
>  $ which movemail
>  $ movemail